package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 课酬结算状态枚举
 */
public enum TeacherSalaryEnum implements BaseEnum<String, TeacherSalaryEnum> {
    //未上课-还未开始上课等待上课结束后结算
    NOT_START("未开始"),
    //已结算-已经结算完成
    COMPLETE("已结算"),
    WAIT("未结算"),
    //已取消-学生发起退款等等其他操作
    CANCEL("已取消");

    @EnumValue
    private String code;

    private String msg;

    TeacherSalaryEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }


}
